--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (resource)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Deletes every Resource for which block evaluates to true.
- !ruby/struct:SM::Flow::P 
  body: "@yield [Resource] Each resource in the Collection"
- !ruby/struct:SM::Flow::P 
  body: "@return [self]"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#delete_if
is_singleton: false
name: delete_if
params: () {|resource| ...}
visibility: public
